/* ==================================
BIBLE STUDY DESIGN
================================== */


.bible-hero{

height:70vh;

background:

linear-gradient(
rgba(0,0,0,.7),
rgba(0,0,0,.8)
),

url("../images/bible.jpg");

background-size:cover;

display:flex;

justify-content:center;

align-items:center;

text-align:center;

}



.bible-content h1{

font-size:65px;

color:#FFD700;

}



.devotional,
.memory{

padding:90px 0;

text-align:center;

background:#050B18;

}



.reading-plans,
.study-topics{

padding:90px 0;

background:#081326;

text-align:center;

}



.plan-grid,
.topic-grid{

display:grid;

grid-template-columns:repeat(auto-fit,minmax(220px,1fr));

gap:25px;

margin-top:40px;

}



.plan-card,
.topic-card{

padding:35px;

background:rgba(255,255,255,.05);

border:1px solid #FFD700;

border-radius:20px;

transition:.4s;

}



.plan-card:hover,
.topic-card:hover{

transform:translateY(-10px);

box-shadow:0 0 25px #FFD700;

}
/* ===============================
EXTRA BIBLE FEATURES
=============================== */


.reading-tracker,
.devotional-generator,
.articles{

padding:90px 0;

text-align:center;

background:#050B18;

}



.progress-box{

max-width:600px;

margin:auto;

}



.progress-bar{

height:20px;

background:#222;

border-radius:20px;

overflow:hidden;

margin:30px 0;

}



#progress{

height:100%;

width:0%;

background:#FFD700;

transition:.5s;

}




.article-grid{

display:grid;

grid-template-columns:repeat(auto-fit,minmax(250px,1fr));

gap:25px;

}



.article-card{

padding:30px;

border:1px solid #FFD700;

border-radius:20px;

background:rgba(255,255,255,.05);

}